=== debian/changelog ===
bing (1.1.3-3) unstable; urgency=medium

  * QA upload.
  * Changed maintainer to QA group.
  * Ack for NMU. (Closes: #800300)
  * Migrations:
      - debian/copyright to 1.0 format.
      - debian/rules to (new) reduced format.
      - DebSrc to 3.0 format.
      - DH level to 10.
      - Using dh-autoreconf now.
  * debian/control: bumped Standards-Version to 3.9.8.
  * debian/copyright: removed the 3rd clause from BSD
    license. (Closes: #123813)
  * debian/docs: created to include Readme files.
  * debian/install: created to install bing on the right path.
  * debian/manpages: created to install manpage file.
  * debian/patches/10-fix-gcc-hardening.patch: included CPPFLAGS to fix
    hardening issues.
  * debian/patches/20-comment-manpage-install.patch: commented install
    manpage from Makefile.
  * debian/patches/30-fix-c-code.patch: created to apply the patches from
    other maintainer on upstream code using format 3.0.
  * debian/watch: improved.

 -- Paulo Henrique de Lima Santana (phls) <phls@softwarelivre.org>  Fri, 11 Nov 2016 09:01:56 -0200

bing (1.1.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update DH level to 9. (Closes: #800300)
  * debian/compat: created.
  * debian/control:
     - Added the ${misc:Depends} variable to provide the right install
       dependencies.
     - Bumped Standards-Version to 3.9.6.
  * debian/rules:
      - Fixed the path to install the executable correctly.
      - Replaced dh_installmanpages to dh_installman.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sun, 03 Jan 2016 04:21:10 -0200

bing (1.1.3-2) unstable; urgency=low

  * Fix "segfaults on IPv6 addresses" Patch from Jeremie Koenig
    (Closes: #511407)
  * Update to Standards Version 3.8.0
    - Add Homepage: & debian/watch

 -- Mark Purcell <msp@debian.org>  Mon, 12 Jan 2009 11:42:18 +1100

bing (1.1.3-1) unstable; urgency=low

  * New upstream release, Thanks Stephane Bortzmeyer.
  * Reapply Nikunj A. Dadhania HURD patch (Fixes: Bug#109724)
  * Update debian/copyright (Closes: Bug#169064)
  * bing now displays Mbps or Kbps as most sensible (Closes: Bug#27597,
    Bug#61771, Bug#119818)

 -- Mark Purcell <msp@debian.org>  Tue, 14 Jan 2003 23:04:12 +1100

bing (1.0.5-3) unstable; urgency=low

  * Apply Nikunj A. Dadhania HURD patch (Fixes: Bug#109724)

 -- Mark Purcell <msp@debian.org>  Thu,  3 Jan 2002 11:51:35 +1100

bing (1.0.5-2) unstable; urgency=low

  * Fix spelling (Closes: Bug#124453)
  * NMU Fixed bugs - Closed: (Closes: #37197, #45733, #55585, #58514)

 -- Mark Purcell <msp@debian.org>  Sun, 23 Dec 2001 20:38:46 +1100

bing (1.0.5-1) unstable; urgency=low

  * New maintainer (Closes: Bug#123534)
  * New upstream release (Closes: Bug#83124)
  * Added Build-Depends: (Closes: Bug#70259)

 -- Mark Purcell <msp@debian.org>  Mon, 17 Dec 2001 22:07:47 +1100

bing (1.0.4-5.3.1) frozen unstable; urgency=low

  * Reupload of 1.0.4-5.3 into frozen, too, as it fixes two bugs (one
    of them RC). Sorry for wasting bandwidth :)

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sat, 26 Feb 2000 22:03:31 +0100

bing (1.0.4-5.3) unstable; urgency=low

  * Non-maintainer upload.
  * Removed suid bit, added README.Debian explaining it, an applied
    the patch for the buffer overflow, closes: #58514.
  * Suidless bing now really belongs to /usr/sbin, closes: #55585.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sat, 26 Feb 2000 17:40:54 +0100

bing (1.0.4-5.2) unstable; urgency=low

  * Non-maintainer upload, approved by maintainer.
  * Changed packaging to use debhelper, and updated for Policy 3.x.
  * Use suidregister to register (mode 4755) binary /usr/sbin/bing.
  * Fix the license and URL in the copyright file (fixes: #37197).

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sat, 25 Sep 1999 03:41:45 +0200

bing (1.0.4-5.1) unstable; urgency=low

  * Non-maintainer release.
  * Libc6 compile.

 -- Martin Mitchell <martin@debian.org>  Mon, 10 Nov 1997 18:12:40 +1100

bing (1.0.4-5) unstable; urgency=low

  * Convert to new package format.

 -- Michael Shields <shields@crosslink.net>  Tue, 13 May 1997 01:39:51 +0000
