=== debian/control ===
Source: bing
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>=10)
Homepage: http://fgouget.free.fr/bing/bing_src-readme-1st.shtml
Standards-Version: 3.9.8

Package: bing
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Empirical stochastic bandwidth tester
 Bing is a point-to-point bandwidth measurement tool (hence the 'b'),
 based on ping.
 .
 Bing determines the real (raw, as opposed to available or average)
 throughput on a link by measuring ICMP echo requests' round trip times
 for different packet sizes at each end of the link.
