=== debian/watch ===
version=4
http://fgouget.free.fr/bing/index-en.shtml bing_src-(\d\S+)\.tar\.(?:bz2|gz|xz)
