=== debian/changelog ===
bing (1.3.5-5) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1.
  * Adjust renamed lintian tag name in override.
  * Adjust lintian overrides.
  * Update debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 14 Sep 2022 14:37:23 +0200

bing (1.3.5-4) unstable; urgency=medium

  * Adjust lintian overrides.
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper-compat to level 13.
  * Update debian/watch file standard to version 4.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 14:56:28 +0100

bing (1.3.5-3) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * Use the new debhelper-compat notation, and drop the d/compat file.
  * Move lintian-overrides file to source directory.
  * Adjust source lintian-overrides.
  * Set Rules-Requires-Root: no.
  * Fix renamed lintian tag.
  * Fix lintian warning insecure-copyright-format-uri.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jan 2020 16:32:41 +0100

bing (1.3.5-2) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0 (no changes required).
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 03 Jul 2017 09:24:08 +0200

bing (1.3.5-1) experimental; urgency=low

  * New upstream release.
    - Drop patch 30-fix-c-code.
    - Rewrite patch 01-fix-gcc-hardening.
    - Refresh patch 02-comment-manpage-install.
  * Adopt bing package.
    Closes: #839967
  * Fix debian/watch.
  * Add lintian override for missing GPG signature.
  * Modernize packaging.
  * Add myself to debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 28 Apr 2017 10:56:56 +0200
